dofile("scripts/entities/entityinclude.lua")

n = 0

function init(me)
	setupEntity(me)
	entity_initSkeletal(me, "Krotite")	
	
	entity_scale(me, 0.7, 0.7)
	
	
	noteBone = entity_getBoneByName(me, "Note")
	glow = entity_getBoneByName(me, "Glow")
	
	bone_setVisible(noteBone, false)
	bone_setVisible(glow, false)
	
	entity_setState(me, STATE_IDLE)
end

function postInit(me)
	debugLog("KROTITE POST INIT!")
	n = getNaija()

	entity_setTarget(me, n)
	
	node = entity_getNearestNode(me, "WORSHIP2")
	if node ~= 0 and node_isEntityIn(node, me) then
		entity_animate(me, "worship2", -1)
	else
		entity_animate(me, "worship", -1)
	end
	
	--entity_setAnimLayerTimeMult(me, 0, math.random(300)/100+1)
	
	entity_updateSkeletal(me, math.random(4))
	--entity_updateSkeletal(me, randAngle360()/180)
end

done = false

function update(me, dt)
	if entity_isAnimating(me) and not done then
		entity_updateSkeletal(me, math.random(4))
		done = true
	end
end

function enterState(me)
	if entity_isState(me, STATE_IDLE) then
		
	end
end

function exitState(me)
end

function damage(me, attacker, bone, damageType, dmg)
	return false
end

function animationKey(me, key)
end

function hitSurface(me)
end

function songNote(me, note)
end

function songNoteDone(me, note)
end

function song(me, song)
end

function activate(me)
end

